<div class="container create-form">
    <h2 class="section-title">Crear Mundo</h2>
    <form class="world-form" [formGroup]="worldForm" (submit)="save($event)">

        <div class="flex-controls">
            <div class="form-control" [class.error]="title.invalid  && (title.dirty || title.touched)">
                <input 
                id="title"
                (keyup)="generateUrl($event.target.value)"
                formControlName="title" 
                type="text" 
                placeholder="Ingrese un título para el mundo">
            </div>

            <div class="form-control url">
                <p class="url">
                    <app-icon className="icon-world"></app-icon><span class="url-clone"><b>/w/</b>{{generatedUrl}}</span>
                </p>
            </div>
        </div>
        <ng-container 
        *ngIf="title.invalid  && (title.dirty || title.touched)">
            <p 
            *ngIf="title.errors?.pattern" 
            class="error-text">El título sólo puede contener letras, números, espacios y guiones</p>
            <p 
            *ngIf="title.errors?.required" 
            class="error-text">Este campo es obligatorio</p>
            <p 
            *ngIf="title.errors?.unique" 
            class="error-text">La URL generada ya existe</p>
        </ng-container>
        <p class="info-text">
            <i><b>?</b></i>
            La url para acceder a tu mundo es generada automáticamente a partir de su título
        </p>
        
        
        <div class="mb-2">
            <input type="file" class="d-none">

            <div class="drop">
                <p class="info">
                    Ingrese una imagen para el mundo
                </p>
            </div>
        </div>

        <!-- <div class="form-control quill" [class.error]="title.invalid  && (title.dirty || title.touched)">
            <quill-editor 
            formControlName="description"
            placeholder="Escribe una breve descripción sobre tu mundo"
            [modules]="modulesConfig"></quill-editor>
        </div> -->
        <div class="form-control" [class.error]="description.invalid  && (description.dirty || description.touched)">
            <textarea 
            formControlName="description"
            placeholder="Escribe una breve descripción sobre tu mundo"
            id="description" rows="4"></textarea>
        </div>
        <ng-container *ngIf="description.invalid  && (description.dirty || description.touched)">
            <p class="error-text" *ngIf="description.errors?.required">Debes ingresar una descripción</p>
            <p class="error-text" *ngIf="description.errors?.minlength">Tu descripción debe tener al menos 30 caracteres</p>
            <p class="error-text" *ngIf="description.errors?.maxlength">Tu descripción debe tener un máximo de 400 caracteres</p>
        </ng-container>

      
        <div class="form-control">
            <app-ui-select 
            max="5"
            formControlName="tags"
            placeholder="Puedes elegir hasta 5 etiquetas"></app-ui-select>
        </div>
    
        <ng-container *ngIf="tags.invalid  && (tags.dirty || tags.touched)">
            <p class="error-text" *ngIf="tags.errors?.required">Debes ingresar al menos una etiqueta</p>
            <p class="error-text" *ngIf="tags.errors?.max">No puedes tener mas de 5 etiquetas</p>
        </ng-container>
        

        <div class="text-right form-actions">
            <button *ngIf="!loading" class="btn">Guardar</button>
            <button *ngIf="loading" class="btn loading-text">Guardar</button>
        </div>


    </form>
</div>

